Package org.codehaus.groovy.runtime.callsite

# Class CallSiteGenerator

java.lang.Object
org.codehaus.groovy.runtime.callsite.CallSiteGenerator

public class CallSiteGenerator extends Object
Generates specialized call-site classes for the classic (non-indy) call-site cache.

Prefer invokedynamic call sites for new code. Planned for deprecation/removal in a future Groovy version.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Constructor`
  `compilePogoMethod(CachedMethod cachedMethod)`
  `static Constructor`
  `compilePojoMethod(CachedMethod cachedMethod)`
  `static Constructor`
  `compileStaticMethod(CachedMethod cachedMethod)`
  `static void`
  `genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
  `static void`
  `genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
  `static byte[]`
  `genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
  `static byte[]`
  `genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
  `static byte[]`
  `genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
  `static boolean`
  `isCompilable(CachedMethod method)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### genCallWithFixedParams

    public static void genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

  - ### genCallXxxWithArray

    public static void genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

  - ### genPogoMetaMethodSite

    public static byte[] genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

  - ### genPojoMetaMethodSite

    public static byte[] genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

  - ### genStaticMetaMethodSite

    public static byte[] genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

  - ### compilePogoMethod

    public static Constructor compilePogoMethod(CachedMethod cachedMethod)

  - ### compilePojoMethod

    public static Constructor compilePojoMethod(CachedMethod cachedMethod)

  - ### compileStaticMethod

    public static Constructor compileStaticMethod(CachedMethod cachedMethod)

  - ### isCompilable

    public static boolean isCompilable(CachedMethod method)